## knotifications 5.28.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KNotifications)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.28.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)

set(KF5_VERSION "5.28.0") # handled by release scripts
set(KF5_DEP_VERSION "5.28.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION}
  VARIABLE_PREFIX KNOTIFICATIONS
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knotifications_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NotificationsConfigVersion.cmake"

                        SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.5.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)
find_package(Qt5 ${REQUIRED_QT_VERSION} QUIET OPTIONAL_COMPONENTS TextToSpeech)
set_package_properties(Qt5TextToSpeech PROPERTIES
   DESCRIPTION "Qt text to speech module"
   TYPE OPTIONAL
   PURPOSE "Required to build text to speech notification support")
if (Qt5TextToSpeech_FOUND)
  add_definitions(-DHAVE_SPEECH)
endif()

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()

set(HAVE_X11 ${X11_FOUND})
set(HAVE_XTEST ${X11_XTest_FOUND})
if(X11_FOUND)
   find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)

find_package(Phonon4Qt5 4.6.60 REQUIRED NO_MODULE)
set_package_properties(Phonon4Qt5 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   TYPE REQUIRED
   PURPOSE "Required to build audio notification support")
if (Phonon4Qt5_FOUND)
  add_definitions(-DHAVE_PHONON4QT5)
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(autotests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Notifications")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NotificationsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotificationsConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotificationsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotificationsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5NotificationsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5NotificationsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/knotifications_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## knotifications 5.3.0

=== debian/changelog ===
knotifications (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:21:09 +0100

knotifications (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:42:10 +0200

knotifications (5.1.0-0ubuntu2) utopic; urgency=medium

  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Aug 2014 17:15:08 +0200

knotifications (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:12:42 +0200

knotifications (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 22 Jul 2014 15:49:46 +0200

=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               libdbusmenu-qt5-dev,
               libkf5auth-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5x11extras5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/knotifications
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/knotifications.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/knotifications.git

Package: libkf5notifications-dev
Section: libdevel
Architecture: any
Depends: libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

Package: libkf5notifications5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5notifications5 (= ${binary:Version}), ${misc:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export QT_SELECT=5

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5notifications5-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/knotifications-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/knotifications-(.*)\.tar\.xz

## knotifications 5.9.0

=== debian/changelog ===
knotifications (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:32:33 +0200

knotifications (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:42:58 +0100

knotifications (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:48:58 +0100

knotifications (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:09:57 +0100

knotifications (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:14:54 +0100

knotifications (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:11:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.8.0),
                libdbusmenu-qt5-dev,
-               libkf5auth-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
+               libkf5auth-dev (>= 5.9.0),
+               libkf5codecs-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5guiaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5iconthemes-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5x11extras5-dev,
@@ -28,9 +28,9 @@
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/knotifications
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/knotifications.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/knotifications.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/knotifications.git
 
 Package: libkf5notifications-dev

## knotifications 5.15.0

=== debian/changelog ===
knotifications (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:53:21 +0100

knotifications (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:23:23 +0100

knotifications (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:25:32 +0200

knotifications (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge.

  [ José Manuel Santamaría Lema ]
  * Update symbols files:
    - Add a new symbol; this doesn't break compilation on gcc 5 nor gcc 4

  [ Scarlett Clark ]
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 15:50:12 +0200

knotifications (5.11.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Update symbols files from buildds logs (5.9.0-1).
  * Update symbols files.
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 20:21:18 +0200

knotifications (5.10.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:36:07 +0200

knotifications (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:30 +0200

knotifications (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:39:01 +0100

knotifications (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:52 +0100

knotifications (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Add basic autopkgtests support.
  * Update install files.
  * Update watch file.
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Jan 2015 22:05:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,32 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
+Build-Depends: cmake (>= 2.8.12~),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
                libdbusmenu-qt5-dev,
-               libkf5auth-dev (>= 5.9.0),
-               libkf5codecs-dev (>= 5.9.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5configwidgets-dev (>= 5.9.0),
-               libkf5coreaddons-dev (>= 5.9.0),
-               libkf5dbusaddons-dev (>= 5.9.0),
-               libkf5guiaddons-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5iconthemes-dev (>= 5.9.0),
-               libkf5itemviews-dev (>= 5.9.0),
-               libkf5service-dev (>= 5.9.0),
-               libkf5widgetsaddons-dev (>= 5.9.0),
-               libkf5windowsystem-dev (>= 5.9.0),
-               libphonon4qt5-dev,
+               libkf5codecs-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.15.0~),
+               libkf5coreaddons-dev (>= 5.15.0~),
+               libkf5iconthemes-dev (>= 5.15.0~),
+               libkf5service-dev (>= 5.15.0~),
+               libkf5windowsystem-dev (>= 5.15.0~),
+               libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
-               libqt5x11extras5-dev,
+               libqt5x11extras5-dev (>= 5.4),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/knotifications
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/knotifications.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/knotifications.git
@@ -36,9 +30,11 @@
 Package: libkf5notifications-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5notifications5 (= ${binary:Version}),
-         libkf5windowsystem-dev,
-         qtbase5-dev,
+Depends: libkf5config-dev (>= 5.15.0~),
+         libkf5coreaddons-dev (>= 5.15.0~),
+         libkf5notifications5 (= ${binary:Version}),
+         libkf5windowsystem-dev (>= 5.15.0~),
+         qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: Framework for desktop notifications
  KNotification is used to notify the user of an event. It covers

## knotifications 5.18.0

=== debian/changelog ===
knotifications (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:23:23 +0100

knotifications (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:57 +0100

knotifications (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:08 +0200

knotifications (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:44 +0100

knotifications (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:31 +0200

knotifications (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 14:40:52 +0200

knotifications (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                libdbusmenu-qt5-dev,
-               libkf5codecs-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5windowsystem-dev (>= 5.15.0~),
+               libkf5codecs-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
                libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
                libqt5x11extras5-dev (>= 5.4),
@@ -22,7 +20,6 @@
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/knotifications
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/knotifications.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/knotifications.git
@@ -30,10 +27,10 @@
 Package: libkf5notifications-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.15.0~),
-         libkf5coreaddons-dev (>= 5.15.0~),
+Depends: libkf5config-dev (>= 5.16.0~),
+         libkf5coreaddons-dev (>= 5.16.0~),
          libkf5notifications5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.15.0~),
+         libkf5windowsystem-dev (>= 5.16.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: Framework for desktop notifications

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-export QT_SELECT=5
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/knotifications-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/knotifications-([\d.]+)\.tar\.xz

## knotifications 5.26.0

=== debian/changelog ===
knotifications (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:47:46 +0100

knotifications (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:44:27 +0000

knotifications (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:15:19 +0200

knotifications (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 
  * Re-disable tests at buildtime. 
  * Refresh symbols. 
  * Start over with symbols, something is amiss. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:32:24 -0700

knotifications (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:03 +0100

knotifications (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:40 +0100

=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               libdbusmenu-qt5-dev,
               libkf5codecs-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5windowsystem-dev (>= 5.26.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5x11extras5-dev (>= 5.4),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/knotifications
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications

Package: libkf5notifications-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.26.0~),
         libkf5coreaddons-dev (>= 5.26.0~),
         libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.26.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5notifications5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## knotifications 5.28.0

=== debian/changelog ===
knotifications (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:04:38 +0100

knotifications (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Add upstream patches:
     - Don-t-deref-an-object-we-haven-t-referenced-when-notifica.patch
     - Fix-crashes-in-NotifyByAudio.patch
     - KNotifications-Don-t-use-KPassivePopup-without-QApplicati.patch
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:01:16 +0200

knotifications (5.26.0-2) unstable; urgency=medium

  * Fix dh_auto_test invocation.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 21:58:21 +0200

knotifications (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:59:38 +0200

knotifications (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Aug 2016 09:06:42 +0200

knotifications (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 18:57:58 +0200

knotifications (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 16:20:14 +0200

knotifications (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed
  * Add dbus-x11 as a build dependency (needed for the auto tests)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 07 May 2016 10:56:56 +0200

=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libdbusmenu-qt5-dev,
               libkf5codecs-dev (>= 5.28.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5x11extras5-dev (>= 5.5.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/knotifications
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/knotifications.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/knotifications.git

Package: libkf5notifications-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.28.0~),
         libkf5coreaddons-dev (>= 5.28.0~),
         libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.28.0~),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.
Breaks: libkf5kdelibs4support-dev (<< 5.28),
        libkf5khtml-dev (<< 5.28),
        libkf5parts-dev (<< 5.28)

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
Breaks: frameworkintegration (<< 5.28),
        kio (<< 5.28),
        libkf5kdelibs4support5 (<< 5.28),
        libkf5khtml5 (<< 5.28),
        libkf5plasma5 (<< 5.28),
        libkf5wallet-bin (<< 5.28),
        libkwalletbackend5-5 (<< 5.28),
        plasma-framework (<< 5.28)

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export QT_SELECT=5

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5notifications5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

## knotifications 5.31.0

=== debian/changelog ===
knotifications (5.31.0-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:12 +0000

knotifications (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:56 +0000

knotifications (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master
  * Remove upstream patches that are now applied in 5.28

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:17:02 +0000

=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libdbusmenu-qt5-dev,
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/knotifications
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications

Package: libkf5notifications-dev
Architecture: any
Section: libdevel
Depends: libkf5config-dev (>= 5.31.0~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

## knotifications 5.38.0

=== debian/changelog ===
knotifications (5.38.0-0ubuntu1) artful; urgency=medium

  * Update sybmols from build logs. Remove private symbols now upstream
    changes ensure these are no longer leaked
  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:16:25 +0100

knotifications (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:17 +0100

knotifications (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:07 +0100

knotifications (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:14 +0100

knotifications (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:09 +0100

knotifications (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:05:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                libdbusmenu-qt5-dev,
-               libkf5codecs-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5windowsystem-dev (>= 5.38.0~),
                libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
                libqt5x11extras5-dev (>= 5.6.1~),
@@ -27,10 +27,10 @@
 Package: libkf5notifications-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5config-dev (>= 5.31.0~),
-         libkf5coreaddons-dev (>= 5.31.0~),
+Depends: libkf5config-dev (>= 5.38.0~),
+         libkf5coreaddons-dev (>= 5.38.0~),
          libkf5notifications5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.31.0~),
+         libkf5windowsystem-dev (>= 5.38.0~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: Framework for desktop notifications

## knotifications 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(KNotifications)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+project(KNotifications VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.28.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -16,11 +18,12 @@
 include(ECMGenerateHeaders)
 include(ECMQtDeclareLoggingCategory)
 include(ECMPoQmTools)
+include(ECMAddQch)
 
-set(KF5_VERSION "5.28.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
-ecm_setup_version(${KF5_VERSION}
+ecm_setup_version(PROJECT
   VARIABLE_PREFIX KNOTIFICATIONS
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knotifications_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NotificationsConfigVersion.cmake"
@@ -28,7 +31,7 @@
                         SOVERSION 5)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.5.0)
+set(REQUIRED_QT_VERSION 5.7.0)
 
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)
 find_package(Qt5 ${REQUIRED_QT_VERSION} QUIET OPTIONAL_COMPONENTS TextToSpeech)
@@ -53,6 +56,9 @@
 if(X11_FOUND)
    find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 endif()
+if(APPLE)
+   find_package(Qt5MacExtras ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
 
 find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
@@ -68,7 +74,6 @@
   add_definitions(-DHAVE_PHONON4QT5)
 endif()
 
-remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
 
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
@@ -82,9 +87,19 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Notifications")
 
-include(ECMPackageConfigHelpers)
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5Notifications_QCH
+        FILE KF5NotificationsQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5NotificationsQchTargets.cmake\")")
+endif()
 
-ecm_configure_package_config_file(
+include(CMakePackageConfigHelpers)
+
+configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5NotificationsConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5NotificationsConfig.cmake"
   PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR

=== debian/changelog ===
knotifications (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:58:31 +0000

knotifications (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:16:02 +0000

knotifications (5.42.0-0ubuntu3) bionic; urgency=medium

  * Build with Qt5TextToSpeech support

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 08 Feb 2018 14:34:13 +0000

knotifications (5.42.0-0ubuntu2) bionic; urgency=medium

  * Rebuild against libdbusmenu-qt5-2

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jan 2018 13:19:39 +0000

knotifications (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:22:16 +0000

knotifications (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:06:52 -0600

knotifications (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:17:11 +0000

=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libdbusmenu-qt5-dev,
               libkf5codecs-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5texttospeech5-dev,
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/knotifications
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

Package: libkf5notifications-dev
Architecture: any
Section: libdevel
Depends: libkf5config-dev (>= 5.44.0~),
         libkf5coreaddons-dev (>= 5.44.0~),
         libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.44.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-export QT_SELECT=5
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential, dbus (>= 1.8), xvfb, xauth
# Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/knotifications-([\d.]+)\.tar\.xz
